Bug 735856 - High CPU Load from Watchdog
Summary: High CPU Load from Watchdog
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: watchdog
Version: 15
Hardware: i386
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 18:14 UTC by Alexey Kornev
Modified: 2012-01-15 21:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-15 21:33:00 UTC


Attachments (Terms of Use)
output of top right after reboot (984.20 KB, text/plain)
2012-01-15 16:56 UTC, vassari
no flags Details
output of top after reboot (2.66 MB, text/plain)
2012-01-15 17:24 UTC, vassari
no flags Details

Description Alexey Kornev 2011-09-05 18:14:26 UTC
Description of problem:
When i run Phoenix miner on my clean install fedora 15 watchdog take 100% of CPU and pc freeze. I have installed official drivers from AMD website.

Version-Release number of selected component (if applicable):
Fedora 15

How reproducible:


Steps to Reproduce:
1. Clean Fedora 15 XFCE install
2. Installing Ati drivers and AMD SDK Tool 2.5, installing numpy, opencl python
3. Installing phoenix miner (bitcoin).
  
Actual results:
100% cpu load from watchdog

Expected results:
0% load from watchdog

Additional info:
3 video card x Radeon 5770
AMD Sempron 145
2 gb ram kingston
GA-770T-D3L Gigabyte motherboard

Comment 1 Richard W.M. Jones 2011-09-06 09:17:50 UTC
I don't understand the description.

Do you mean you have installed the software watchdog
daemon (https://admin.fedoraproject.org/pkgdb/acls/list/*watchdog*)
and this process is taking 100% of CPU, or is there some other
watchdog you are talking about?

Comment 2 vassari 2012-01-15 16:15:04 UTC
I use Fedora 16 with Openbox.

I also have a problem with watchdog, and it's very diffucult to reproduce. 

However, sometimes after a couple of minutes of turning on the computer, the pc freeze for a short period of time (3,4 or 5 seconds).

So, when I start de computer I run manually "top -b >> somefile" to see after the freezing what's the problem.

This way i could find out that watchdog has peaks of cpu load. This peaks of cpu load come with other peaks from another programs. But they vary, you can find firefox, parcellite, nm-applet, kworker, etc. But always the highest peak is from watcthdog.

Comment 3 vassari 2012-01-15 16:56:09 UTC
Created attachment 555363 [details]
output of top right after reboot

In line 7780 you can find the peak of cpu load from watchdog

Comment 4 vassari 2012-01-15 17:24:05 UTC
Created attachment 555365 [details]
output of top after reboot

Line 2685 another peak from watchdog.

Comment 5 Richard W.M. Jones 2012-01-15 20:38:19 UTC
Hello, please pay attention to comment 1.

Are you (any of you) talking about the software watchdog
daemon, or some other "watchdog", and if so what other watchdog?

Comment 6 vassari 2012-01-15 21:23:30 UTC
(In reply to comment #5)
> Hello, please pay attention to comment 1.
> 
> Are you (any of you) talking about the software watchdog
> daemon, or some other "watchdog", and if so what other watchdog?

Hi,

I'm talking about the watchdog daemon.

I don't

Comment 7 vassari 2012-01-15 21:24:21 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > Hello, please pay attention to comment 1.
> > 
> > Are you (any of you) talking about the software watchdog
> > daemon, or some other "watchdog", and if so what other watchdog?
> 
> Hi,
> 
> I'm talking about the watchdog daemon.
> 

I don't have any other watchdog software installed.

Comment 8 Richard W.M. Jones 2012-01-15 21:33:00 UTC
The watchdog daemon does not appear in either of
the enormous files posted.

Note that "watchdog/N" is not the software watchdog
daemon.

Comment 9 vassari 2012-01-15 21:46:37 UTC
(In reply to comment #8)
> The watchdog daemon does not appear in either of
> the enormous files posted.
> 
> Note that "watchdog/N" is not the software watchdog
> daemon.

Ok, great. Then I don't know what it is.

I search for 'watchdog' in yumex and I only have installed

rtkit (ver 0.10-1.fc16) and ppl-pwl (ver 0.11.2-3.fc16).


Note You need to log in before you can comment on or make changes to this bug.